# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Output
Version:	1.034
Release:	2.%{__distinit}%{__distvers}
Summary:	Utilities to test STDOUT and STDERR messages
License:	Artistic-2.0
URL:		https://metacpan.org/release/Test-Output
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-Output-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.64
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
# Module Runtime
BuildRequires:	perl(Capture::Tiny) >= 0.17
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Carp)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Tester) >= 0.107
# Optional Tests
BuildRequires:	perl(Test::Manifest) >= 1.21
BuildRequires:	perl(Test::Pod) >= 1.14
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Test::Output provides a simple interface for testing output sent to STDOUT
or STDERR. A number of different utilities are included to try to be as
flexible as possible to the tester.

%prep
%setup -q -n Test-Output-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README.pod
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Output.3*

%changelog
* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 1.034-2
- Drop MODULE_COMPAT dependency from Fedora 38 onwards

* Wed Jul  5 2023 Paul Howarth <paul@city-fan.org> - 1.034-1
- Update to 1.034
  - Remove unnecessary -T from pod tests: now that v5.38 allows you to compile
    without taint support and those perls won't run if they see a -T, these
    tests needlessly fail there
  - Correct spelling mistakes (GH#10)

* Wed Dec 14 2022 Paul Howarth <paul@city-fan.org> - 1.033-2
- Use SPDX-format license tag

* Fri Feb 12 2021 Paul Howarth <paul@city-fan.org> - 1.033-1
- Update to 1.033
  - v1.032 had some regressions because 1.031 was released from an unmerged
    branch (GH#8)
  - Sub::Exporter is gone again as everything was working fine without it

* Fri Jan 29 2021 Paul Howarth <paul@city-fan.org> - 1.032-1
- Update to 1.032
  - Fix cut-n-paste error in docs (GH#6)
  - Revert to using Sub::Exporter again

* Tue Jan  5 2021 Paul Howarth <paul@city-fan.org> - 1.031-5
- Switch upstream from search.cpan.org to metacpan.org
- Drop workaround for building with ExtUtils::MakeMaker < 6.64
- Use %%license unconditionally

* Fri Apr  6 2018 Paul Howarth <paul@city-fan.org> - 1.031-4
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Thu Mar 30 2017 Paul Howarth <paul@city-fan.org> - 1.031-1
- Update to 1.031
  - Get rid of Sub::Exporter, which has nice features that this module doesn't
    use and the prereq is causing problems with CPAN Testers
- License changed to Artistic 2.0
- Add patch to support building with ExtUtils::MakeMaker < 6.64 and avoid
  installing the resulting README.pod and bogus Test::README manpage

* Wed Oct  5 2016 Paul Howarth <paul@city-fan.org> - 1.03-7
- Classify buildreqs by usage
- Simplify find command using -delete
- Package LICENSE file

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 1.03-3
- Drop %%defattr, redundant since rpm 4.4

* Mon Jan  6 2014 Paul Howarth <paul@city-fan.org> - 1.03-1
- Update to 1.03
  - Get rid of MYMETA

* Tue Jul 23 2013 Paul Howarth <paul@city-fan.org> - 1.02-2
- Perl 5.18 rebuild

* Tue Jul  9 2013 Paul Howarth <paul@city-fan.org> - 1.02-1
- Update to 1.02
  - Re-do everything with Capture::Tiny rather than ties

* Fri Jul  6 2012 Paul Howarth <paul@city-fan.org> - 1.01-4
- BR: perl(Carp) and perl(Test::Builder)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Sat Jul  2 2011 Paul Howarth <paul@city-fan.org> - 1.01-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Apr 22 2011 Paul Howarth <paul@city-fan.org> - 1.01-1
- Update to 1.01
  - Added META_MERGE features from chorny
  - Update tests with hardcoded regex stringification for Perl's new (?^:) stuff
  - Fix cat-o with handling $,
- Drop File::Temp requirement as it isn't actually used
- Nobody else likes macros for commands

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.16-4
- Rebuild for perl 5.12.1 in Rawhide

* Sun May 30 2010 Paul Howarth <paul@city-fan.org> - 0.16-3
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 0.16-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Sun May 17 2009 Paul Howarth <paul@city-fan.org> - 0.16-1
- Update to 0.16
- Revert to previous upstream maintainer -> URL change
- Reinstate Test::Output::Tie
- Buildreq/Req File::Temp ≥ 0.21 as per upstream requirement
- Bump version req for Test::Tester to 0.107

* Wed May 13 2009 Paul Howarth <paul@city-fan.org> - 0.15-1
- Update to 0.15 (fix POD Coverage test)
- Re-enable POD Coverage test

* Tue May 12 2009 Paul Howarth <paul@city-fan.org> - 0.14-1
- Update to 0.14
  - Fixes CPAN RT#18107 (can't capture output from system() calls)
  - Fixes CPAN RT#45598 (module's tests are not properly defined)
- Another new upstream maintainer → URL change
- Disable failing POD Coverage test
- Test::Output::Tie no longer included
- Fix spurious exec permissions in upstream tarball
- Buildreq/Req File::Temp ≥ 0.17 as Test::Output uses :seekable

* Mon Mar  9 2009 Paul Howarth <paul@city-fan.org> - 0.13-1
- Update to 0.13 (new upstream maintainer → docs/URL changes)
- Update to SLES-compatible dist tag macros

* Mon Oct 27 2008 Paul Howarth <paul@city-fan.org> - 0.12-1
- Update to 0.12
- Re-enable POD coverage test

* Thu Oct 23 2008 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
- Disable broken POD coverage test

* Tue Sep  2 2008 Paul Howarth <paul@city-fan.org> - 0.10-5
- Import from Fedora

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.10-4
- Rebuild for perl 5.10 (again)

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.10-3
- Rebuild for new perl
- Fix license tag

* Thu Jul 05 2007 Steven Pritchard <steve@kspei.com> - 0.10-2
- Rebuild

* Mon Jul 02 2007 Steven Pritchard <steve@kspei.com> - 0.10-1
- Specfile autogenerated by cpanspec 1.71
- Fix License
- BR Test::Pod and Test::Pod::Coverage
